Bug 103834 - Network card not detected by kudzu at startup
Network card not detected by kudzu at startup
Status: CLOSED DEFERRED
Product: Red Hat Linux Beta
Classification: Retired
Component: kudzu (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 10:35 EDT by Steve Brown
Modified: 2014-03-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 21:42:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from 'kudzu -p' (2.70 KB, text/plain)
2003-09-05 13:15 EDT, Steve Brown
no flags Details

  None (edit)
Description Steve Brown 2003-09-05 10:35:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030821

Description of problem:
I installed Severn on my Dell Inspiron 5000e while it was not in its docking
station and the PCMCIA network card was not inserted.  Later, I booted the
laptop while in its docking station.  Assuming that kudzu is the hardware
probing tool at work behind the new graphical startup screen, kudzu does not
detect the network card (Ethernet Pro 100) in the docking station.  I rebooted
several times, but the card was never detected.

I reinstalled Severn with the laptop in its docking station and the network card
was detected.  The next day, on the train, I rebooted with no docking station. 
Kudzu did not prompt me about the network card being 'removed' as it had in
previous versions (remove, do nothing, etc.).  When I got to work, I docked the
laptop.  It took a boot and a reboot to be able to connect to the internet.

Version-Release number of selected component (if applicable):
kudzu-devel-1.1.13-1.1;  kudzu-1.1.13-1.1

How reproducible:
Always

Steps to Reproduce:
1.  Install Severn on PC with no network card.
2.  Shut down Severn.
3.  Install a network card.
4.  Restart Severn.
5.  Try to connect to internet.
    

Actual Results:  Cannot connect to internet, network card not automatically
detected and configured by kudzu.

Expected Results:  Expected added hardware, a network card (in my case, in a
docking station) to be automatically detected and configured by kudzu.

Additional info:
Comment 1 Bill Nottingham 2003-09-05 11:29:59 EDT
Can you post the output of 'kudzu -p' when it's in the docking station?
Comment 2 Steve Brown 2003-09-05 13:15:30 EDT
Created attachment 94238 [details]
Output from 'kudzu -p'

Attached file (sbrown_kudzu.txt) is the output from 'kudzu -p' command while my
PC is in its docking station, per request by notting@redhat.com.
Comment 3 Bill Nottingham 2003-09-05 14:14:13 EDT
OK, that shows up fine. Hm. Does a kudzu window pop up if you boot without the
graphical boot after installing when not in the docking station?
Comment 4 Steve Brown 2003-09-05 15:35:12 EDT
I noticed that if you do a 'hard reboot' (using the power button) that Severn
will boot non-graphically.  If you know a better way to 'boot without the
graphical boot', let me know.....

.....yes, kudzu popped up during non-graphic boot when not in the docking
station.  I selected 'Do Nothing'.  I had to reboot three times (two reboots and
a shut down) before I could access the internet again.
Comment 5 Bill Nottingham 2003-09-05 15:38:01 EDT
You can boot with 'nogui' to disable the graphical boot.

kudzu currently doesn't interact well with graphical boot.
Comment 6 Bill Nottingham 2003-09-05 15:38:26 EDT
(As in, it doesn't pop up dialogs; it shouldn't affect whether or not it sees
things, but it won't configure them.)
Comment 7 Steve Brown 2003-09-08 10:47:55 EDT
OK, I understand that the GUI is in development stage. But in a related problem...

I docked the same laptop at a different location, in an identical docking
station.  To access the network I had to boot and reboot.  This has been a
problem for some time.  I think that kudzu should not detect an identical
docking station as new hardware.  In the end, it just 'migrates' the
configuration anyway, so why not just do the migration automatically?

Of course, maybe I've missed something that could prevent this problem, but in
'that other operating system', it works correctly.
Comment 8 Bill Nottingham 2003-09-08 12:39:09 EDT
Unfortunately, I don't have a laptop w/docking station to test on, so I'm not
completely up-to-speed on the underlying technical issues.
Comment 9 Bill Nottingham 2005-04-26 21:42:02 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

Note You need to log in before you can comment on or make changes to this bug.